Module org.apache.derby.engine
Package org.apache.derby.vti

# Class VTITemplate.ColumnDescriptor

java.lang.Object
org.apache.derby.vti.VTITemplate.ColumnDescriptor

All Implemented Interfaces:
  `Comparable<VTITemplate.ColumnDescriptor>`

Enclosing class:
  `VTITemplate`

public static final class VTITemplate.ColumnDescriptor extends Object implements Comparable<VTITemplate.ColumnDescriptor>

A struct class which is useful for describing columns and parameters.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `columnName`
  `final int`
  `jdbcType`
  `final int`
  `ordinalPosition`
  `final int`
  `precision`
  `final int`
  `scale`
  `final String`
  `typeName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColumnDescriptor(String columnName, int jdbcType, int precision, int scale, String typeName, int ordinalPosition)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(VTITemplate.ColumnDescriptor that)`
  Sort on ordinalPosition
  `boolean`
  `equals(Object other)`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### columnName

    public final String columnName

  - ### jdbcType

    public final int jdbcType

  - ### precision

    public final int precision

  - ### scale

    public final int scale

  - ### typeName

    public final String typeName

  - ### ordinalPosition

    public final int ordinalPosition

- ## Constructor Details

  - ### ColumnDescriptor

    public ColumnDescriptor(String columnName, int jdbcType, int precision, int scale, String typeName, int ordinalPosition)

- ## Method Details

  - ### compareTo

    public int compareTo(VTITemplate.ColumnDescriptor that)
    Sort on ordinalPosition
    Specified by:
      `compareTo` in interface `Comparable<VTITemplate.ColumnDescriptor>`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`